using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	internal struct maliasframedesc_t
	{
		public void Init()
		{
			this.bboxmin.Init();
			this.bboxmax.Init();
		}

		public int firstpose;

		public int numposes;

		public float interval;

		public trivertx_t bboxmin;

		public trivertx_t bboxmax;

		public string name;

		public static int SizeInBytes = Marshal.SizeOf(typeof(maliasframedesc_t));
	}
}
